/*
 * APP_Data_Process.h
 *
 *  Created on: 2012-3-27
 *      Author: qitiancun
 */
 

    
#ifdef        GLOBALS_APP_PROCESS
    #define   EXTERN_APP_PROCESS
   
#else
    #define   EXTERN_APP_PROCESS     extern
#endif

#ifndef APP_DATA_PROCESS_H_
#define APP_DATA_PROCESS_H_

    
               

   
    #define                  CheckFlag            0x55
    

    EXTERN_APP_PROCESS        void      App_Load_Data(void);
    EXTERN_APP_PROCESS        void      App_State_Init(void);
    EXTERN_APP_PROCESS        INT8U     App_CreateCheckSun(INT8U *pData,INT8U checkbyte,INT8U len);

    EXTERN_APP_PROCESS void UDS_Receive_Main(unsigned char *buf);
    EXTERN_APP_PROCESS void UDS_Service_Main(void);
#endif /* APP_DATA_PROCESS_H_ */
